For the complete documentation index, see llms.txt. This page is also available as Markdown.

Document Types Formation

Get all Documents Types

get

Get All Documents Types

  1. HTTP Method: GET

  2. HTTP URL: https://api.live.welkincloud.io/welkonnect/commcenter/formations/current/document-types

  3. HTTP Response Codes: 200

Get Document Type By Name

  1. HTTP Method: GET

  2. HTTP URL: https://api.live.welkincloud.io/welkonnect/commcenter/formations/current/document-types/doc-type-assessment

  3. HTTP Response Codes: 200

Authorizations
AuthorizationstringRequired

Bearer token obtained from POST /{tenantName}/admin/api_clients/{clientName}. Valid for 60 minutes.

Path parameters
tenantNamestringRequired

Your organization (tenant) name, e.g. acme-health

Example: acme-health
instanceNamestringRequired

Your environment name: live, sandbox, or a custom name

Example: live
Body
namestringOptionalExample: x-ray Feb 4 2021
intintegerOptionalExample: 10
Responses
200

List of document type CDT formations

application/json
idstring · uuidOptional
namestringRequiredPattern: ^[a-z0-9\-_]+$
titlestringOptional
labelstringOptional
versionintegerOptional
internalbooleanOptional
readablebooleanOptionalDefault: true
updatablebooleanOptionalDefault: true
typestring · enumOptionalPossible values:
relationstring · enumOptionalPossible values:
get/{tenantName}/{instanceName}/formations/current/document-types
GET /{tenantName}/{instanceName}/formations/current/document-types HTTP/1.1
Host: api.live.welkincloud.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 36

{
  "name": "x-ray Feb 4 2021",
  "int": 10
}
[
  {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "name": "text",
    "title": "text",
    "label": "text",
    "version": 1,
    "internal": true,
    "readable": true,
    "updatable": true,
    "type": "SINGLE_RECORD",
    "relation": "COMMON",
    "fields": [
      {
        "name": "text",
        "type": "TEXT",
        "formula": "text",
        "dictionary": {
          "name": "text",
          "field": "text"
        },
        "profileDataType": {
          "name": "text",
          "fields": [
            "text"
          ]
        },
        "customDataType": {
          "name": "text",
          "fields": [
            "text"
          ]
        },
        "customFieldType": "text",
        "editable": true,
        "searchable": true,
        "bulkEdit": true,
        "phi": true,
        "disable": true,
        "injectedSource": true,
        "displayType": "CHECKBOX",
        "valueType": "STRING",
        "meta": {
          "label": "text",
          "minLength": 1,
          "maxLength": 1,
          "minValue": "text",
          "maxValue": "text",
          "fileTypes": [
            "text"
          ],
          "maxFiles": 1,
          "maxTotalFileSize": 1,
          "required": true,
          "options": [
            {
              "label": "text",
              "value": null,
              "refCdtName": "text"
            }
          ],
          "multiple": true,
          "patterns": [
            "NUMBERS_ONLY"
          ]
        },
        "mask": {
          "symbol": "*",
          "startPosition": 1,
          "endPosition": 1
        },
        "richTextEnabled": true
      }
    ]
  }
]

Get Documents Type by Name

get

Get All Documents Types

  1. HTTP Method: GET

  2. HTTP URL: https://api.live.welkincloud.io/welkonnect/commcenter/formations/current/document-types

  3. HTTP Response Codes: 200

Get Document Type By Name

  1. HTTP Method: GET

  2. HTTP URL: https://api.live.welkincloud.io/welkonnect/commcenter/formations/current/document-types/doc-type-assessment

  3. HTTP Response Codes: 200

Authorizations
AuthorizationstringRequired

Bearer token obtained from POST /{tenantName}/admin/api_clients/{clientName}. Valid for 60 minutes.

Path parameters
tenantNamestringRequired

Your organization (tenant) name, e.g. acme-health

Example: acme-health
instanceNamestringRequired

Your environment name: live, sandbox, or a custom name

Example: live
documentTypeNamestringRequired

documentTypeName path parameter

Body
namestringOptionalExample: x-ray Feb 4 2021
intintegerOptionalExample: 10
Responses
200

Document type CDT formation

application/json
idstring · uuidOptional
namestringRequiredPattern: ^[a-z0-9\-_]+$
titlestringOptional
labelstringOptional
versionintegerOptional
internalbooleanOptional
readablebooleanOptionalDefault: true
updatablebooleanOptionalDefault: true
typestring · enumOptionalPossible values:
relationstring · enumOptionalPossible values:
get/{tenantName}/{instanceName}/formations/current/document-types/{documentTypeName}
GET /{tenantName}/{instanceName}/formations/current/document-types/{documentTypeName} HTTP/1.1
Host: api.live.welkincloud.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 36

{
  "name": "x-ray Feb 4 2021",
  "int": 10
}
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "name": "text",
  "title": "text",
  "label": "text",
  "version": 1,
  "internal": true,
  "readable": true,
  "updatable": true,
  "type": "SINGLE_RECORD",
  "relation": "COMMON",
  "fields": [
    {
      "name": "text",
      "type": "TEXT",
      "formula": "text",
      "dictionary": {
        "name": "text",
        "field": "text"
      },
      "profileDataType": {
        "name": "text",
        "fields": [
          "text"
        ]
      },
      "customDataType": {
        "name": "text",
        "fields": [
          "text"
        ]
      },
      "customFieldType": "text",
      "editable": true,
      "searchable": true,
      "bulkEdit": true,
      "phi": true,
      "disable": true,
      "injectedSource": true,
      "displayType": "CHECKBOX",
      "valueType": "STRING",
      "meta": {
        "label": "text",
        "minLength": 1,
        "maxLength": 1,
        "minValue": "text",
        "maxValue": "text",
        "fileTypes": [
          "text"
        ],
        "maxFiles": 1,
        "maxTotalFileSize": 1,
        "required": true,
        "options": [
          {
            "label": "text",
            "value": null,
            "refCdtName": "text"
          }
        ],
        "multiple": true,
        "patterns": [
          "NUMBERS_ONLY"
        ]
      },
      "mask": {
        "symbol": "*",
        "startPosition": 1,
        "endPosition": 1
      },
      "richTextEnabled": true
    }
  ]
}

Last updated

Was this helpful?